## libnfo 1.0.0

=== Makefile ===
ifeq (,$(wildcard config.mak))
$(error "config.mak is not present, run configure !")
endif
include config.mak

PKGCONFIG_DIR = $(libdir)/pkgconfig
PKGCONFIG_FILE = libnfo.pc

NFO_READER      = libnfo-reader
NFO_READER_SRCS = libnfo-reader.c

CFLAGS += -Isrc
LDFLAGS += -Lsrc -lnfo

ifeq ($(BUILD_STATIC),yes)
  LDFLAGS += $(EXTRALIBS)
endif

DISTFILE = libnfo-$(VERSION).tar.bz2

EXTRADIST = \
	AUTHORS \
	configure \
	COPYING \
	README \

SUBDIRS = \
	DOCS \
	src \

all: lib $(NFO_READER) docs

lib:
	$(MAKE) -C src

$(NFO_READER): lib
	$(CC) $(NFO_READER_SRCS) $(OPTFLAGS) $(CFLAGS) $(EXTRACFLAGS) $(LDFLAGS) -o $(NFO_READER)

docs:
	$(MAKE) -C DOCS

docs-clean:
	$(MAKE) -C DOCS clean

clean:
	$(MAKE) -C src clean
	rm -f $(NFO_READER)

distclean: clean docs-clean
	rm -f config.log
	rm -f config.mak
	rm -f $(DISTFILE)
	rm -f $(PKGCONFIG_FILE)

install: install-lib install-pkgconfig install-$(NFO_READER) install-docs

install-lib: lib
	$(MAKE) -C src install

install-pkgconfig: $(PKGCONFIG_FILE)
	$(INSTALL) -d "$(PKGCONFIG_DIR)"
	$(INSTALL) -m 644 $< "$(PKGCONFIG_DIR)"

install-$(NFO_READER): $(NFO_READER)
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 755 $(NFO_READER) $(bindir)

install-docs: docs
	$(MAKE) -C DOCS install

uninstall: uninstall-lib uninstall-pkgconfig uninstall-$(NFO_READER) uninstall-docs

uninstall-lib:
	$(MAKE) -C src uninstall

uninstall-pkgconfig:
	rm -f $(PKGCONFIG_DIR)/$(PKGCONFIG_FILE)

uninstall-$(NFO_READER):
	rm -f $(bindir)/$(NFO_READER)

uninstall-docs:
	$(MAKE) -C DOCS uninstall

.PHONY: *clean *install* docs

dist:
	-$(RM) $(DISTFILE)
	dist=$(shell pwd)/libnfo-$(VERSION) && \
	for subdir in . $(SUBDIRS); do \
		mkdir -p "$$dist/$$subdir"; \
		$(MAKE) -C $$subdir dist-all DIST="$$dist/$$subdir"; \
	done && \
	tar cjf $(DISTFILE) libnfo-$(VERSION)
	-$(RM) -rf libnfo-$(VERSION)

dist-all:
	cp $(EXTRADIST) $(NFO_READER_SRCS) Makefile $(DIST)

.PHONY: dist dist-all

=== src/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
endif

LIBNAME = libnfo
STATIC_LIBNAME = ${LIBNAME}.a
SHARED_LIBNAME = ${LIBNAME}.so
SHARED_LIBNAME_VERSION = ${SHARED_LIBNAME}.${VERSION}
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.)

SRCS =  \
	nfo.c \
	nfo_priv.c \
	nfo_xml_utils.c \
	nfo_xml_parser.c \

EXTRADIST = \
	nfo.h \
	nfo_priv.h \
	nfo_xml_parser.h \
	nfo_xml_utils.h \

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.c.o:
	$(CC) -c $(CFLAGS) $(EXTRACFLAGS) $(OPTFLAGS) -o $@ $<

lib_static: $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

lib_shared: $(OBJS)
	$(CC) -shared -Wl,-soname,$(SHARED_LIBNAME_MAJOR) \
	  $(OBJS) $(LDFLAGS) $(EXTRALIBS) -o $(SHARED_LIBNAME_VERSION)
	$(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR)
	$(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME)

clean:
	rm -f *.o *.a *.so*
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(libdir); \
	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 nfo.h $(includedir)

uninstall:
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/nfo.h

depend:
	$(CC) -MM $(CFLAGS) $(EXTRACFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
libnfo (1.0.0-3) unstable; urgency=low

  * Fix license path in Debian copyright file (Closes: #564320)
  * Update Debian packaging copyright date
  * Backport some more build system fixes from upstream trunk
  * Backport fix-memset-args-order.patch from upstream trunk

 -- Davide Cavalca <davide@geexbox.org>  Wed, 27 Jan 2010 11:53:02 +0100

libnfo (1.0.0-2) unstable; urgency=low

  * Convert to 3.0 (quilt) package format
  * Add -fPIC to CFLAGS when building the package
  * Add a manual page for libnfo-reader
  * Add symbols control file for libnfo1
  * Backport some build system fixes from upstream trunk
  * Add 'Depends: ${misc:depends}' to all binary packages
  * Omit 'Section: libs' for libnfo1 as it's inherited from the source
    package definition

 -- Davide Cavalca <davide@geexbox.org>  Wed, 09 Dec 2009 19:38:44 +0100

libnfo (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #560043)

 -- Davide Cavalca <davide@geexbox.org>  Tue, 08 Dec 2009 16:19:42 +0100

=== debian/control ===
Source: libnfo
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), libxml2-dev, pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 3.8.3
Section: libs
Homepage: http://libnfo.geexbox.org/
Vcs-Hg: http://hg.geexbox.org/libnfo
Vcs-Browser: http://hg.geexbox.org/libnfo/summary

Package: libnfo-dev
Section: libdevel
Architecture: any
Depends: libnfo1 (= ${binary:Version}), ${misc:Depends}
Description: an NFO file parser/writer library -- development files
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains headers and libraries for developing software
 that makes use of libNFO.

Package: libnfo1-bin
Section: misc
Architecture: any
Depends: libnfo1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: an utility to read NFO files which uses libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains libnfo-reader, an utility to read NFO files which
 uses libnfo.

Package: libnfo1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an NFO file parser/writer library
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 The NFO format is used, among others, by Enna and XBMC Media Center. See
 http://xbmc.org/wiki/?title=Import_-_Export_Library
 for a format definition.

Package: libnfo1-dbg
Architecture: any
Section: debug
Depends: libnfo1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libnfo1
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains the debugging symbols for libnfo1.

Package: libnfo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libnfo-dev
Description: developer documentation for libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains developer documentation for libnfo.

## libnfo 1.0.1

=== Makefile ===
ifeq (,$(wildcard config.mak))
$(error "config.mak is not present, run configure !")
endif
include config.mak

PKGCONFIG_DIR = $(libdir)/pkgconfig
PKGCONFIG_FILE = libnfo.pc

NFO_READER      = libnfo-reader
NFO_READER_SRCS = libnfo-reader.c
NFO_READER_OBJS = $(NFO_READER_SRCS:.c=.o)
NFO_READER_MAN  = $(NFO_READER).1

APPS_CPPFLAGS = -Isrc $(CFG_CPPFLAGS) $(CPPFLAGS)
APPS_LDFLAGS = -Lsrc -lnfo $(CFG_LDFLAGS) $(LDFLAGS)

MANS = $(NFO_READER_MAN)

ifeq ($(BUILD_STATIC),yes)
ifeq ($(BUILD_SHARED),no)
  APPS_LDFLAGS += $(EXTRALIBS)
endif
endif

DISTFILE = libnfo-$(VERSION).tar.bz2

EXTRADIST = \
	AUTHORS \
	ChangeLog \
	configure \
	COPYING \
	README \
	$(MANS) \

SUBDIRS = \
	DOCS \
	src \

.SUFFIXES: .c .o

all: lib apps docs

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(APPS_CPPFLAGS) -o $@ $<

config.mak: configure
	@echo "############################################################"
	@echo "####### Please run ./configure again - it's changed! #######"
	@echo "############################################################"

lib:
	$(MAKE) -C src

$(NFO_READER): $(NFO_READER_OBJS)
	$(CC) $(NFO_READER_OBJS) $(APPS_LDFLAGS) -o $(NFO_READER)

apps-dep:
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(NFO_READER_SRCS) 1>.depend

apps: apps-dep lib
	$(MAKE) $(NFO_READER)

docs:
	$(MAKE) -C DOCS

docs-clean:
	$(MAKE) -C DOCS clean

clean:
	$(MAKE) -C src clean
	rm -f *.o
	rm -f $(NFO_READER)
	rm -f .depend

distclean: clean docs-clean
	rm -f config.log
	rm -f config.mak
	rm -f $(DISTFILE)
	rm -f $(PKGCONFIG_FILE)

install: install-lib install-pkgconfig install-apps install-docs install-man

install-lib: lib
	$(MAKE) -C src install

install-pkgconfig: $(PKGCONFIG_FILE)
	$(INSTALL) -d "$(PKGCONFIG_DIR)"
	$(INSTALL) -m 644 $< "$(PKGCONFIG_DIR)"

install-apps: apps
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 755 $(NFO_READER) $(bindir)

install-docs: docs
	$(MAKE) -C DOCS install

install-man: $(MANS)
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  $(INSTALL) -d $(mandir)/man$$section; \
	  $(INSTALL) -m 644 $$m $(mandir)/man$$section; \
	done

uninstall: uninstall-lib uninstall-pkgconfig uninstall-apps uninstall-docs uninstall-man

uninstall-lib:
	$(MAKE) -C src uninstall

uninstall-pkgconfig:
	rm -f $(PKGCONFIG_DIR)/$(PKGCONFIG_FILE)

uninstall-apps:
	rm -f $(bindir)/$(NFO_READER)

uninstall-docs:
	$(MAKE) -C DOCS uninstall

uninstall-man:
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  rm -f $(mandir)/man$$section/$$m; \
	done

.PHONY: *clean *install* docs apps*

dist:
	-$(RM) $(DISTFILE)
	dist=$(shell pwd)/libnfo-$(VERSION) && \
	for subdir in . $(SUBDIRS); do \
		mkdir -p "$$dist/$$subdir"; \
		$(MAKE) -C $$subdir dist-all DIST="$$dist/$$subdir"; \
	done && \
	tar cjf $(DISTFILE) libnfo-$(VERSION)
	-$(RM) -rf libnfo-$(VERSION)

dist-all:
	cp $(EXTRADIST) $(NFO_READER_SRCS) Makefile $(DIST)

.PHONY: dist dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== DOCS/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

EXTRADIST = \
	Doxyfile \
	movies.nfo.sample \
	musicvideo.nfo.sample \
	tvshow.nfo.sample \

all: doxygen

doxygen:
ifeq ($(DOC),yes)
ifeq (,$(wildcard doxygen))
	PROJECT_NUMBER="$(VERSION)" doxygen Doxyfile
endif
endif

clean:
	rm -rf doxygen

install:
ifeq ($(DOC),yes)
	if [ -d doxygen/html ]; then \
		$(INSTALL) -d $(docdir)/libnfo; \
		$(INSTALL) -c -m 755 doxygen/html/* $(docdir)/libnfo; \
	fi
endif

uninstall:
	rm -rf $(docdir)/libnfo

dist-all:
	cp $(EXTRADIST) Makefile $(DIST)

.PHONY: clean dist-all doxygen *install

=== src/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

LIBNAME = libnfo
STATIC_LIBNAME = $(LIBNAME).a
SHARED_LIBNAME = $(LIBNAME).so
SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME).$(VERSION)
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.)
SHARED_LIBNAME_FLAGS = -shared -Wl,-soname,$(SHARED_LIBNAME_MAJOR)

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
  ifeq ($(BUILD_DYLIB),yes)
    SHARED_LIBNAME         = ${LIBNAME}.dylib
    SHARED_LIBNAME_VERSION = $(LIBNAME).$(VERSION).dylib
    SHARED_LIBNAME_MAJOR   = $(LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.).dylib
    SHARED_LIBNAME_FLAGS   = -dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-install_name,$(SHARED_LIBNAME_VERSION)
  else
    ifeq ($(BUILD_MINGW32),yes)
      SHARED_LIBNAME         = $(LIBNAME)-$(shell echo $(VERSION) | cut -f1 -d.).dll
      SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME)
      SHARED_LIBNAME_MAJOR   = $(SHARED_LIBNAME)
      SHARED_LIBNAME_FLAGS   = -shared -Wl,--out-implib=$(LIBNAME).dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import
    endif
  endif
endif

SRCS =  \
	nfo.c \
	nfo_osdep.c \
	nfo_priv.c \
	nfo_xml_utils.c \
	nfo_xml_parser.c \

EXTRADIST = \
	nfo.h \
	nfo_osdep.h \
	nfo_priv.h \
	nfo_xml_parser.h \
	nfo_xml_utils.h \

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(CFG_CPPFLAGS) $(CPPFLAGS) -o $@ $<

lib_static: $(STATIC_LIBNAME)

lib_shared: $(SHARED_LIBNAME)

$(STATIC_LIBNAME): $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

$(SHARED_LIBNAME): $(OBJS)
	$(CC) $(SHARED_LIBNAME_FLAGS) \
	  $(OBJS) $(CFG_LDFLAGS) $(EXTRALIBS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
	if [ $(BUILD_MINGW32) = no ]; then \
	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR); \
	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME); \
	fi

clean:
	rm -f *.o *.a *.so* *.dll
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  if [ $(BUILD_MINGW32) = no ]; then \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(libdir); \
	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
	  else \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
	  fi \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 nfo.h $(includedir)

uninstall:
	if [ $(BUILD_MINGW32) = yes ]; then \
	  rm -f $(bindir)/$(SHARED_LIBNAME); \
	  rm -f $(libdir)/$(LIBNAME).dll.a; \
	fi
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/nfo.h

depend:
	$(CC) -MM $(CFLAGS) $(CFG_CPPFLAGS) $(CPPFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
libnfo (1.0.1-3) unstable; urgency=medium

  * QA upload.

  [ Baptiste Beauplat ]
  * Fix FTBFS: Install docs using dh_install files
  * Add missing /usr/share/dpkg/architecture.mk to d/rules
  * Remove .PHONY target from d/rules
  * Add Multi-Arch: foreign to libnfo-doc

  [ Mattia Rizzolo ]
  * Pass a multiarch --libdir to ./configure, making the package Multi-Arch
    compatible.
  * Add Multi-Arch:same to libnfo1 and libnfo-dev.

 -- Baptiste Beauplat <lyknode@cilg.org>  Thu, 14 Jan 2021 16:33:40 +0100

libnfo (1.0.1-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as Maintainer (See: #840040) (Closes: #979567)
  * Bump debhelper to 13:
    - Remove d/compat
    - Switch debhelper to debhelper-compat in Build-Depends
  * Move docs to main package's /usr/share/doc/:
    - Use installed docs instead of built one
    - Add a execute_after_dh_auto_install rule to move docs into a html/
      directory
    - Fix paths in doc-base control file
  * Convert copyright to DEP5
  * Update upstream metadata:
    - Move metadata to d/upstream/metadata
    - Contact and Name moved to d/copyright
    - Remove Homepage already present in d/control
    - Remove Watch already present in d/watch
    - Remove dead Donation link
    - Update Repository and Repository-Browse with github repository
    - Add Bug-Database and Bug-Submit using github repository
  * Use https for Homepage in d/control
  * Replace Priority extra by optional
  * Remove libnfo1-dbg in favor of libnfo1-dbgsym:
    - Remove entry from d/control
    - Add version information for debug package migration to dh_strip in
      d/rules
  * Bump Standard-Version to 4.5.1
  * Add Rules-Requires-Root: no
  * Remove the article from the Description
  * Install pkg-config metadata into /usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig:
    - Add a execute_after_dh_auto_install rule to move libnfo.pc
    - Update paths in d/libnfo-dev.install
  * Add Build-Depends-Package: info to libnfo1 symbols file
  * Add hardening flags to d/rules
  * Remove trailing whitespace in d/rules
  * Update watch file:
    - Switch to version 4
    - Use the github repository (previous VCS is unavailable)
  * Host packaging on Salsa:
    - Add Salsa CI pipeline
    - Use DEP14 repository layout (gbp.conf added)
    - Add Vcs-* fields
  * Remove unused d/*.dirs

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 10 Jan 2021 17:53:23 +0100

libnfo (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add an override_auto_clean in debian/rules to fix a FTBFS caused by an
    absent file (config.mak). (Closes: #718062)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Nov 2014 00:55:07 -0200

libnfo (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - drop Debian package patches as they are now upstream
    - drop Debian manpage for libnfo-reader it's now upstream
  * Update Standards-Version to 3.9.1 (no changes)
  * Drop Vcs-Pkg fields from control file
  * Update upstream author copyright date
  * Add debian/upstream-metadata.yaml

 -- Davide Cavalca <davide@geexbox.org>  Sat, 02 Oct 2010 15:53:26 +0200

=== debian/control ===
Source: libnfo
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libxml2-dev, pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 4.5.1
Section: libs
Homepage: https://libnfo.geexbox.org/
Vcs-Git: https://salsa.debian.org/debian/libnfo.git
Vcs-Browser: https://salsa.debian.org/debian/libnfo
Rules-Requires-Root: no

Package: libnfo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnfo1 (= ${binary:Version}), ${misc:Depends}
Description: NFO file parser/writer library -- development files
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains headers and libraries for developing software
 that makes use of libNFO.

Package: libnfo1-bin
Section: misc
Architecture: any
Depends: libnfo1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utility to read NFO files which uses libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains libnfo-reader, an utility to read NFO files which
 uses libnfo.

Package: libnfo1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NFO file parser/writer library
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 The NFO format is used, among others, by Enna and XBMC Media Center. See
 http://xbmc.org/wiki/?title=Import_-_Export_Library
 for a format definition.

Package: libnfo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libnfo-dev
Description: developer documentation for libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains developer documentation for libnfo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

CONFIGURE_OPTS = \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
		--enable-pic \
		--disable-strip \
		--enable-doc

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CONFIGURE_OPTS += --disable-optimize
else
        CONFIGURE_OPTS +=
endif

%:
	dh $@

override_dh_auto_clean:
	touch config.mak
	dh_auto_clean

override_dh_auto_configure:
	./configure $(CONFIGURE_OPTS)

override_dh_strip:
	dh_strip --dbgsym-migration='libnfo1-dbg (<< 1.0.1-2~)'

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/GeeXboX/libnfo/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
